com.hazelcast.client.spi

## Class ClientContext

- java.lang.Object
- - com.hazelcast.client.spi.ClientContext

-     public class ClientContext
      extends Object

  Context holding all the required services, managers and the configuration for a Hazelcast client.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientContext(com.hazelcast.client.impl.clientside.HazelcastClientInstanceImpl client)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientConfig` | `getClientConfig()`
    `ClusterConnectorService` | `getClusterConnectorService()`
    `ClientClusterService` | `getClusterService()`
    `ClientConnectionManager` | `getConnectionManager()`
    `ClientExecutionService` | `getExecutionService()`
    `HazelcastInstance` | `getHazelcastInstance()`
    `ClientInvocationService` | `getInvocationService()`
    `LifecycleService` | `getLifecycleService()`
    `ClientListenerService` | `getListenerService()`
    `LoggingService` | `getLoggingService()`
    `String` | `getName()`
    `com.hazelcast.internal.nearcache.NearCacheManager` | `getNearCacheManager()`
    `ClientPartitionService` | `getPartitionService()`
    `ProxyManager` | `getProxyManager()`
    `com.hazelcast.client.impl.querycache.ClientQueryCacheContext` | `getQueryCacheContext()`
    `com.hazelcast.internal.nearcache.impl.invalidation.RepairingTask` | `getRepairingTask(String serviceName)`
    `com.hazelcast.internal.serialization.InternalSerializationService` | `getSerializationService()`
    `ClientTransactionManagerService` | `getTransactionManager()`
    `boolean` | `isActive()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientContext

          public ClientContext(com.hazelcast.client.impl.clientside.HazelcastClientInstanceImpl client)

  - ### Method Detail

    - #### getQueryCacheContext

          public com.hazelcast.client.impl.querycache.ClientQueryCacheContext getQueryCacheContext()

    - #### getRepairingTask

          public com.hazelcast.internal.nearcache.impl.invalidation.RepairingTask getRepairingTask(String serviceName)

    - #### getName

          public String getName()

    - #### getClusterConnectorService

          public ClusterConnectorService getClusterConnectorService()

    - #### getHazelcastInstance

          public HazelcastInstance getHazelcastInstance()

    - #### getSerializationService

          public com.hazelcast.internal.serialization.InternalSerializationService getSerializationService()

    - #### getClusterService

          public ClientClusterService getClusterService()

    - #### getPartitionService

          public ClientPartitionService getPartitionService()

    - #### getTransactionManager

          public ClientTransactionManagerService getTransactionManager()

    - #### getExecutionService

          public ClientExecutionService getExecutionService()

    - #### getListenerService

          public ClientListenerService getListenerService()

    - #### getNearCacheManager

          public com.hazelcast.internal.nearcache.NearCacheManager getNearCacheManager()

    - #### getLoggingService

          public LoggingService getLoggingService()

    - #### getInvocationService

          public ClientInvocationService getInvocationService()

    - #### getConnectionManager

          public ClientConnectionManager getConnectionManager()

    - #### getLifecycleService

          public LifecycleService getLifecycleService()

    - #### getProxyManager

          public ProxyManager getProxyManager()

    - #### getClientConfig

          public ClientConfig getClientConfig()

    - #### isActive

          public boolean isActive()

Copyright © 2019. All rights reserved.